### Hierarchy

- FilterHelper

### Implements

- IFilterHelper

## Index

### Constructors

- constructor

### Properties

- clipRect
- projectionMatrix3D
- renderTarget
- target
- targetBounds
- textureFormat
- textureScale

### Methods

- dispose
- getTexture
- purge
- putTexture
- start

## Constructors

### constructor

- new FilterHelper(textureFormat?: string): FilterHelper

- - Defined in lib/starling/filters/FilterHelper.d.ts:22

  #### Parameters

  - ##### Optional textureFormat: string

  #### Returns FilterHelper

## Properties

### clipRect

clipRect: Rectangle

- Defined in lib/starling/filters/FilterHelper.d.ts:16

### projectionMatrix3D

projectionMatrix3D: Matrix3D

- Defined in lib/starling/filters/FilterHelper.d.ts:17

### renderTarget

renderTarget: Texture

- Defined in lib/starling/filters/FilterHelper.d.ts:18

### target

target: DisplayObject

- Defined in lib/starling/filters/FilterHelper.d.ts:19

### targetBounds

targetBounds: Rectangle

- Defined in lib/starling/filters/FilterHelper.d.ts:20

### textureFormat

textureFormat: string

- Defined in lib/starling/filters/FilterHelper.d.ts:21

### textureScale

textureScale: number

- Defined in lib/starling/filters/FilterHelper.d.ts:22

## Methods

### dispose

- dispose(): void

- - Defined in lib/starling/filters/FilterHelper.d.ts:24

  #### Returns void

### getTexture

- getTexture(resolution?: number): Texture

- - Defined in lib/starling/filters/FilterHelper.d.ts:25

  #### Parameters

  - ##### Optional resolution: number

  #### Returns Texture

### purge

- purge(): void

- - Defined in lib/starling/filters/FilterHelper.d.ts:26

  #### Returns void

### putTexture

- putTexture(texture: Texture): void

- - Defined in lib/starling/filters/FilterHelper.d.ts:27

  #### Parameters

  - ##### texture: Texture

  #### Returns void

### start

- start(numPasses: number, drawLastPassToBackBuffer: boolean): void

- - Defined in lib/starling/filters/FilterHelper.d.ts:28

  #### Parameters

  - ##### numPasses: number

  - ##### drawLastPassToBackBuffer: boolean

  #### Returns void

Generated using TypeDoc